#ifndef VY_VOYAGE_H
#define VY_VOYAGE_H

/* basic types and macros */

#include <stddef.h>

#ifdef _WIN32
    #define VY_DLLEXPORT __declspec(dllexport)
#else
    #define VY_DLLEXPORT
#endif

#define VY_UNUSED(x)      ((void)sizeof((x)))
#define VY_ARRAY_COUNT(x) (sizeof((x)) / sizeof((x)[0]))

typedef unsigned int vy_result;
#define VY_SUCCESS 0

typedef struct {
    const char *start;
    unsigned int length;
} vy_text_span;

VY_DLLEXPORT void vyReportError(const char *subsystem, const char *fmt, ...);

VY_DLLEXPORT void vyLog(const char *subsystem, const char *fmt, ...);

#endif
